/*
 * $Id: fiveway.h,v 1.4 2003/02/12 04:57:20 adamm Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (c) 1998-2002, Mark Ian Lillywhite and Michael Nordstrom
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef PLUCKER_FIVEWAY_H
#define PLUCKER_FIVEWAY_H

#include "libraryform.h"

#include "viewer.h"

#ifdef HAVE_FIVEWAY_SDK

extern void FiveWayResetValues( void ) FIVEWAY_SECTION;
extern void FiveWaySetRow( Int8 row ) FIVEWAY_SECTION;
extern Int8 FiveWayGetRow( void ) FIVEWAY_SECTION;
extern Int8 FiveWaySelectedRow( void ) FIVEWAY_SECTION;
extern void FiveWayHighlightRow( Boolean enable ) FIVEWAY_SECTION;
extern Boolean FiveWayLibraryHandler( EventType* event ) FIVEWAY_SECTION;
extern Boolean FiveWayMainHandler( EventType* event ) FIVEWAY_SECTION;

#else

#define FiveWayResetValues()
#define FiveWaySetRow( row )
#define FiveWayGetRow()                0
#define FiveWaySelectedRow()           NO_ROW
#define FiveWayHighlightRow( enable )
#define FiveWayLibraryHandler( event ) false
#define FiveWayMainHandler( event )    false

#endif

#endif
