/*
 * $Id: stack.h,v 1.2 2003/01/29 15:16:15 chrish Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (c) 1998-2002, Mark Ian Lillywhite and Michael Nordstrom
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef PLUCKER_STACK_H
#define PLUCKER_STACK_H


#include "viewer.h"
#include "list.h"


typedef LinkedList StackType;


/* create new stack */
extern StackType StackCreate( void );

/* delete stack (will not release any contents in the stack) */
extern void StackDelete( StackType stack );

/* delete stack and release any contents in the stack */
extern void StackRelease( StackType stack );

/* check if stack is empty */
extern Boolean StackIsEmpty( StackType stack );

/* get item from top of stack */
extern MemPtr StackPop( StackType stack );

/* add new item to top of stack */
extern void StackPush( StackType stack, MemPtr item );

#endif

